Download it now!
Bug 82404 - CALC: Focus/selected cell does not change to A1 when corner selection button pressed to select whole spreadsheet
Summary: CALC: Focus/selected cell does not change to A1 when corner selection button...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2014-08-10 01:33 UTC by Doug
Modified: 2019-12-03 14:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2014-08-10 01:33:35 UTC
Calc always has a focus box centering on one cell, outlined in black.  When selecting a column or row by pressing the row or column selector, the outline moves to the first row in that column or row.  Select column B, selector moves to B1.  The outlined box is the starting point for paste operations, so its location is important for determining where things are pasted.

When pressing the corner selector button to select whole table (top left corner of spreadsheet), selector box stays where it was and does not move.  That means despite suggesting that the clipboard data should fill whole table, Calc pastes at whatever random location the cursor was *before* the whole table was selected.  That is, if the cursor previously was on G17, after pressing the corner/spreadsheet selector, the table will paste beginning at G17 and not A1.

1.  Copy data into clipboard (I was using LO Base table data)
2.  Open Calc, click middle of spreadsheet somewhere.
3.  Click corner/sheet selector at top left of spreadsheet
4.  Paste data.

Actual result:  the data pasted wherever you previously clicked, not at A1

Expected result:  data should paste beginning to A1.

Cause of problem is non-obvious, which makes it non-trivial.
Comment 1 raal 2014-09-15 15:19:48 UTC
Reproducible with Version: 4.4.0.0.alpha0+
Build ID: e2723d00b77dc1044e2ba599ba93517af34e1ea5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-09_23:17:41. 
When select whole sheet, then previously selected cell is still selected, when select row/colum then first cell is selected.
Should be consistent.
For example Excel do it as requester wants - when select whole sheet, then focus jumps in cell A1.
Comment 2 Doug 2015-03-25 03:07:16 UTC
Apologies for the compound bug report, but in a related point, if one selects data from somewhere in the sheet (like G1:K8), presses ctrl-c, then clicks the corner selector and pastes the clipboard contents (ctrl-p), Calc immediately freezes and does not recover.  LO Version: 4.4.1.2 Build ID: 40m0(Build:2) OpenSuse 13.2.  The cursor also does not move to A1 as set forth in the report.
Comment 3 raal 2015-03-25 09:06:28 UTC
(In reply to Doug from comment #2)
> Apologies for the compound bug report, but in a related point, if one
> selects data from somewhere in the sheet (like G1:K8), presses ctrl-c, then
> clicks the corner selector and pastes the clipboard contents (ctrl-p), Calc
> immediately freezes and does not recover.  LO Version: 4.4.1.2 Build ID:
> 40m0(Build:2) OpenSuse 13.2.  The cursor also does not move to A1 as set
> forth in the report.

Please create new bug report for this issue. Thank you
Comment 4 tommy27 2016-04-16 07:27:46 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:25:14 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:18:41 UTC
Dear Doug,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug